> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}:
    get:
      tags:
        - Brands
        - Brands
      summary: Get Brand
      operationId: get_brand_api_v1_brands__brand_id__get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        partner_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Partner Slug
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        brand_kit_count:
          type: integer
          title: Brand Kit Count
          default: 0
        audit_count:
          type: integer
          title: Audit Count
          default: 0
        competitor_count:
          type: integer
          title: Competitor Count
          default: 0
        audit_scores:
          additionalProperties: true
          type: object
          title: Audit Scores
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: BrandDetailResponse
      description: Extended response with nested summaries for the brand detail page.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````